Timeout policy object output

## Functions

int | nfct_timeout_snprintf (char *buf, size_t size, const struct nfct_timeout *t, unsigned int type, unsigned int flags)

## Detailed Description

## Function Documentation

## nfct_timeout_snprintf()

int nfct_timeout_snprintf | ( | char * | buf,
|  | size_t | size,
|  | const struct nfct_timeout * | t,
|  | unsigned int | type,
|  | unsigned int | flags
| ) |  |

nfct_timeout_snprintf - print conntrack timeout object into one buffer

Parameters

  buf | pointer to buffer that is used to print the object
  size | size of the buffer (or remaining room in it).
  t | pointer to a valid conntrack timeout object.
  type | output type (see NFCT_TIMEOUT_O_*)
  flags | output flags (always set this to zero).

This function returns -1 in case that some mandatory attributes are missing. On sucess, it returns 0.

Definition at line 441 of file libnetfilter_cttimeout.c.